%define upstream_name    XML-Namespace
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple support for XML Namespaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module implements a simple object for representing XML Namespaces in
Perl. It provides little more than some syntactic sugar for your Perl
programs, saving you the bother of typing lots of long-winded URIs. It was
inspired by the Class::RDF::NS module distributed as part of Class::RDF.

Using XML::Namespace Objects
    First load the XML::Namespace module.

        use XML::Namespace;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 516172
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 375066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 179833
- imported package perl-XML-Namespace


* Fri Dec 09 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
